Get Collection Realtime Key
curl --request POST \
--url https://api.example.com/{version}/realtime-keys/collection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": 123,
"source_type": "<string>",
"reference_id": "<string>"
}
'import requests
url = "https://api.example.com/{version}/realtime-keys/collection"
payload = {
"session_id": 123,
"source_type": "<string>",
"reference_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_id: 123, source_type: '<string>', reference_id: '<string>'})
};
fetch('https://api.example.com/{version}/realtime-keys/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/realtime-keys/collection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'session_id' => 123,
'source_type' => '<string>',
'reference_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"access_token": "<string>",
"expires_in": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}realtime-keys
Get Collection Realtime Key
POST
/
{version}
/
realtime-keys
/
collection
Get Collection Realtime Key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
Last modified on June 23, 2026
Was this page helpful?
